#
# spec file for package gnomemm (Version 1.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel gtkmm gtkmm-devel imlib imlib-devel libgpp libsigc++ libsigc++-devel libz orbit orbit-devel xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gtkmm gtkmm-devel gzip imlib imlib-devel kbd less libgpp libsigc++ libsigc++-devel libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnomemm
Copyright:    GPL
Group:	      X11/Libraries
Provides:     GNOME-- 
Requires:     libsigc++ gtkmm gtk glib 
Autoreqprov:  on
Version:      1.2.1
Release:      86
Summary:      C++ libraries for GNOME
Source:	      gnomemm-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-%{version}

%description
This package contains the necessary libraries to run objectorientated
GNOME programs written in C++.

SuSE series: gnm

%package devel
Requires: gtkmm-devel gnomemm glib-devel gtk-devel sigc++ 
Summary:      C++ bindings for the GNOME libraries
Group:		Development/Libraries/X11
Autoreqprov:	on

%description devel
This package contains the necessary files to develop objectorientated
C++ applications for the GNOME desktop.

SuSE series: gnm

%prep
%setup  
%{suse_update_config}

%build
CXXFLAGS="$RPM_OPT_FLAGS" \
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/opt/gnome \
	--with-gnome=/opt/gnome \
	--enable-shared --enable-static \
	--enable-docs \
	--mandir=%{_mandir}
make 

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc examples/ docs/ AUTHORS COPYING ChangeLog INSTALL NEWS README
/opt/gnome/lib/*.so.*

%files devel
/opt/gnome/lib/*.sh
/opt/gnome/lib/*.*a*
/opt/gnome/lib/*.so
/opt/gnome/include/*
/opt/gnome/share/aclocal/gnome--.m4

%changelog -n gnomemm
* Fri Aug 10 2001 - hhetter@suse.de
- update to 1.2.1
- added documenation files
* Wed Jun 27 2001 - hhetter@suse.de
- update to 1.2.0
- filelist review
* Fri Jun 15 2001 - hhetter@suse.de
- update to 1.1.21
* Wed May 30 2001 - egger@suse.de
- Update to version 1.1.19.
* Tue Mar 20 2001 - hhetter@suse.de
- added esound packages to #neededforbuild
* Sat Mar 10 2001 - egger@suse.de
- First cut of the new GNOME--.
